#ifndef _MENU_ENTERNUMBER_H_
#define _MENU_ENTERNUMBER_H_
#include "OLEDUIPlus.h"

void drawEnterNumber(OLEDDisplay *display, OLEDDisplayUiState* state, int16_t x, int16_t y);

void dialog_prepareEnterNumber(String message, int oldNumber, uint8_t numbers, uint8_t decimals = 0);

int32_t dialog_getEnterNumberResult(void);

bool dialog_getEnterNumberDone(void);

#endif
